<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: team_admin.php
| Author: DrunkeN
+--------------------------------------------------------+
| Team Panel > Admin
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once INFUSIONS."team_panel/includes/team-panel.func.php";
require_once THEMES."templates/admin_header.php";
require_once TEAM_INC."team_member_search.php";

include TEAM_PANEL."infusion_db.php";

if (file_exists(TEAM_PANEL."locale/".$settings['locale'].".php")) {
	include TEAM_PANEL."locale/".$settings['locale'].".php";
} else {
	include TEAM_PANEL."locale/English.php";
}

if (!checkrights("DTP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }

add_to_head("<link rel='stylesheet' href='".TEAM_INC."css/team_styles.css' type='text/css' media='screen' />
<script type='text/javascript' src='".TEAM_ADMIN."js/team_panel.js'></script>");

include TEAM_ADMIN."admin_navigation.php";

$result = dbcount("(team_group_id)", DB_TEAM_GROUPS);
if (!empty($result)) {

	if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['team_aa000'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['team_aa001'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['team_aa002'];
    } elseif ($_GET['status'] == "sme") {
		$message = $locale['team_aa003'];
    }
	if ($message) {
	    $get_class = ($_GET['status'] == "sn" ? "team-success-message" : 
		             ($_GET['status'] == "su" ? "team-success-message" : "team-error-message"));
		$message = "<div class='".$get_class."'>".$message."</div>";
		if ($_GET['status'] == "sn" || $_GET['status'] == "su" || $_GET['status'] == "sme" || $_GET['status'] == "del") {
			echo "<div id='close-error'>".$message."</div>\n";
		} else {
			echo "<div id='close-error'>".$message."</div>\n";
		}
	}
}


if (isset($_GET['action']) && $_GET['action'] == "delete") {
    $result = dbquery("DELETE FROM ".DB_TEAM_PANEL." WHERE team_id='".$_GET['delete']."'");
    redirect(FUSION_SELF.$aidlink."&status=del");
}

if (isset($_POST['add_member'])) {
    $team_title = stripinput($_POST['team_title']);
    $team_task = stripinput($_POST['team_task']);
	$team_group = intval($_POST['team_group']);
	$team_adduser = (isset($_POST['team_adduser']) && isnum($_POST['team_adduser'])) ? $_POST['team_adduser'] : "";
	$team_addname = isset($_POST['team_addname']) ? stripinput(trim(preg_replace("/ +/i", " ", $_POST['team_addname']))) : "";
    $check =  dbcount("(team_user_id)", DB_TEAM_USERS, "team_user_id='".$team_adduser."'");
        if (empty($check)) {
			$result = dbquery("INSERT INTO ".DB_TEAM_USERS." (team_user_id, team_user_intro, team_user_country, team_user_rname, team_user_gender, team_user_phpskill, team_user_sqlskill, team_user_htmskill,
			team_user_cssskill, team_user_javskill) VALUES ('".$team_adduser."', '', '', '', '0', '', '', '', '', '')");
	}
if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['team_id']) && isnum($_GET['team_id']))) {
    $result = dbquery("UPDATE ".DB_TEAM_PANEL." SET team_title='".$team_title."', team_task='".$team_task."' WHERE team_id='".$_GET['team_id']."' AND team_group='".$team_group."'");
    redirect(FUSION_SELF.$aidlink."&status=su");
    } else {
    $member_count = dbcount("(team_name)", DB_TEAM_PANEL, "team_group='".$team_group."'");
	$max_check = dbarray(dbquery("SELECT team_group_max_members AS 'max_members' FROM ".DB_TEAM_GROUPS." WHERE team_group_id='".$team_group."'"));
if($member_count != $max_check['max_members']){
if ($team_adduser !== ""){
    $result = dbcount("(team_user)", DB_TEAM_PANEL, "team_user='".$team_adduser."' AND team_group='".$team_group."'");
if (empty($result)){
    $result = dbquery("INSERT INTO ".DB_TEAM_PANEL." (team_user, team_name, team_title, team_task, team_group, team_datestamp) VALUES ('".$team_adduser."', '".$team_addname."', '".$team_title."', '".$team_task."', '".$team_group."', '".time()."')");
    redirect(FUSION_SELF.$aidlink."&status=sn");
                     } else { 
					 $error = 1; 
			}
            } else { 
	        $error = 2; 
		}
    } else { 
	$error = 3; 
	}
  }
}

	if (isset($error) && isnum($error)) {
		if ($error == 1) {
		$errorMessage = $locale['team_aa004'];
		} elseif ($error == 2) {
		$errorMessage = $locale['team_aa005'];
	    } elseif ($error == 3) {
		$errorMessage = $locale['team_aa006'];
		}
		if ($errorMessage) { echo "<div id='close-error2'><div class='team-error-message'>".$errorMessage."</div></div>\n"; }
	}

if ((isset($_GET['action']) && $_GET['action'] == "edit")  && (isset($_GET['team_id']) && isnum($_GET['team_id']))) {
	$result = dbquery("
	SELECT us.user_id, us.user_name, us.user_status, te.team_user, te.team_name,
	te.team_title, te.team_task, te.team_group, te.team_id 
	FROM ".DB_TEAM_PANEL." te
	LEFT JOIN ".DB_USERS." us ON te.team_user=us.user_id
	WHERE te.team_id='".$_GET['team_id']."'"
);
    $data = dbarray($result);
	$team_title  = $data['team_title'];  
    $team_task   = $data['team_task'];
	$team_group  = stripinput($data['team_group']);
    $team_action = FUSION_SELF.$aidlink."&amp;action=edit&amp;team_id=".$_GET['team_id'];	
	opentable($locale['team_aa007']);
	} else {
	$team_title = ""; 
    $team_task = "";
	$team_group = "";
	$team_action = FUSION_SELF.$aidlink;
	opentable($locale['team_aa008']);
}
	
	$grouplist = ""; $selected = "";
	$result2 = dbquery("SELECT team_group_id, team_group_order, team_group_name, team_group_max_members AS 'max_members' FROM ".DB_TEAM_GROUPS." ORDER BY team_group_order");
if (dbrows($result2) != 0) {
	while ($data2 = dbarray($result2)) {
	$member_count = dbcount("(team_user)", DB_TEAM_PANEL, "team_group='".$data2['team_group_id']."'");
		if (isset($_GET['action']) && $_GET['action'] == "edit") { $selected = ($team_group == $data2['team_group_id'] ? " selected='selected'" : "");	}
			$grouplist .= "<option ".($member_count != $data2['max_members'] ? "" : "disabled='disabled' style='color: #ff0000;'")." value='".$data2['team_group_id']."'$selected>".$data2['team_group_name']."</option>\n";
			$group_name = $data2['team_group_name'];
		}
	}
	echo "<table align='center' width='70%' cellspacing='1' cellpadding='0'>\n<tr>\n";
if(isset($_POST['team_member_search'])) {
    $result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$_POST['user_id']."'");
    if(dbrows($result)) {
      $search_user = dbarray($result);
      redirect(FUSION_SELF.$aidlink."&amp;action=add&amp;member=".$search_user['user_id']);
  } else {
	  redirect(FUSION_SELF.$aidlink."&amp;status=sme");
    }
  }
if ((isset($_GET['action']) && $_GET['action'] == "add") && (isset($_GET['member']) && isnum($_GET['member'])) || (isset($_GET['action']) && $_GET['action'] == "edit")){
    //Nothing here
	} else {
  	echo "<form name='usersearch' method='post'>\n";
    echo "<tr>\n<td class='tbl' style='white-space:nowrap;font-weight:bold;'>".$locale['team_aa009']."</td>\n";
    echo "<td class='tbl'>\n";
    search("user");
    echo "</td></tr>\n";
    echo"</form>\n";
	}
	echo "<form name='inputform' method='post' action='".$team_action."'>\n";
if (isset($_GET['action']) && $_GET['action'] == "edit") {
    echo "<td class='tbl' style='white-space:nowrap;font-weight:bold;'>".$locale['team_aa010']."</td>\n";
	echo "<td class='tbl'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>";
	} else if(isset($_GET['action']) && $_GET['action'] == "add" && isset($_GET['member']) && isnum($_GET['member'])){
	$team['member'] = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id='".$_GET['member']."'"));
	echo "<td class='tbl' style='white-space:nowrap;font-weight:bold;'>".$locale['team_aa010']."</td>\n";
	echo "<td class='tbl'>\n";
	echo "<input type='hidden' name='team_addname' value='".$team['member']['user_name']."'>\n";
	echo "<input type='hidden' name='team_adduser' value='".$team['member']['user_id']."'>\n";
	echo profile_link($team['member']['user_id'], $team['member']['user_name'], $team['member']['user_status']);
	echo "</td>\n";
	} else {
	//Nothing 
}
    echo "</tr><tr>";
    echo "<td class='tbl' style='white-space:nowrap;font-weight:bold;'>".$locale['team_aa011']."</td>\n";
    echo "<td class='tbl'><input type='text' name='team_title' value='".$team_title."' class='textbox' style='width:250px;' /></td>";
    echo "</tr><tr>";
    echo "<td class='tbl' style='white-space:nowrap;font-weight:bold;'>".$locale['team_aa012']."</td>\n";
    echo"<td class='tbl'><input type='text' name='team_task' value='".$team_task."' class='textbox' style='width:250px;' /></td>";
    echo "</tr><tr>";
	echo "<td class='tbl' style='white-space:nowrap;font-weight:bold;'>".$locale['team_aa013']."</td>\n";
	if(isset($_GET['action']) && $_GET['action'] == "edit"){
	$group_name = dbarray(dbquery("SELECT team_group_name, team_group_id FROM ".DB_TEAM_GROUPS." WHERE team_group_id='".$team_group."'"));
	echo"<td class='tbl'><input type='hidden' name='team_group' value='".$group_name['team_group_id']."'>".$group_name['team_group_name']."</td>";
	} else {
	echo"<td class='tbl'><select name='team_group' class='textbox' style='width:160px;'>\n".$grouplist."</select></td>";
	}
    echo "</tr><tr>";
	echo "<td align='center' colspan='2' class='tbl'>";
    echo "<input type='submit' name='add_member' value='".(isset($_GET['action']) && $_GET['action'] == "edit" ? $locale['team_aa014'] : $locale['team_aa015'])."' class='button' />\n";
    echo "</tr>\n</table>\n";
	echo "</form>\n";
	closetable();
	
	
	opentable($locale['team_aa016']);
    echo "<table cellpadding='5' cellspacing='1' width='70%' class='tbl-border center'>\n<tr>\n";
	$resultb = dbquery("SELECT team_group_id, team_group_description, team_group_name FROM ".DB_TEAM_GROUPS." ORDER BY team_group_order");
	if (dbrows($resultb)) {
	    while ($datab = dbarray($resultb)) {
$result = dbquery("
          SELECT u.user_id, u.user_name, u.user_status, t.team_user, 
		  t.team_title, tu.team_user_rname, t.team_task, t.team_datestamp, t.team_id, t.team_group, t.team_name
		  FROM ".DB_TEAM_PANEL." t
		  LEFT JOIN ".DB_USERS." u ON t.team_user=u.user_id
		  LEFT JOIN ".DB_TEAM_USERS." tu ON tu.team_user_id=u.user_id
		  WHERE t.team_group='".$datab['team_group_id']."'
		  ORDER BY team_user DESC LIMIT 15");
		  echo "<tr><td class='tbl1' style='padding: 8px 9px 1px 2px; font-size: 12px;' colspan='5'><strong>".$datab['team_group_name']."</strong></td></tr>";
		$rows = dbcount("(team_user)", DB_TEAM_PANEL, "team_group='".$datab['team_group_id']."'");
if ($rows) {
    $i = 0;
	echo "<td width='100'  class='tbl2' style='font-weight:bold;'>".$locale['team_aa017']."</td>\n";
    echo "<td width='130' class='tbl2' style='font-weight:bold;'>".$locale['team_aa018']."</td>\n";
	echo "<td width='110' class='tbl2' style='font-weight:bold;'>".$locale['team_aa019']."</td>\n";
	echo "<td width='110' class='tbl2' style='font-weight:bold;'>".$locale['team_aa020']."</td>\n";
    echo "<td width='110' class='tbl2' style='font-weight:bold;'>".$locale['team_aa021']."</td>\n";
	echo "<td width='110' class='tbl2' style='font-weight:bold;'>".$locale['team_aa022']."</td>\n";
    echo "</tr>\n";
    while ($data = dbarray($result)) {
        $cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
        echo "<tr>\n";
		echo "<td class='".$cell_color."' style='white-space:nowrap'><strong>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</strong></td>\n";
        echo "<td class='".$cell_color."' style='white-space:nowrap'>".$data['team_title']."</td>\n";
		echo "<td class='".$cell_color."' style='white-space:nowrap'>".(!empty($data['team_user_rname']) ? $data['team_user_rname'] : "Not Specified")."</td>\n";
		echo "<td class='".$cell_color."' style='white-space:nowrap'>".$data['team_task']."</td>\n";
		echo "<td class='".$cell_color."' style='white-space:nowrap'>".showdate("%B %d %Y", $data['team_datestamp'])."</td>\n";
        echo "<td class='".$cell_color."' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;team_id=".$data['team_id']."&amp;team_group=".$data['team_group']."&amp;team_name=".$data['user_name']."' title='".$locale['team_aa023'].$data['user_name']."'>".$locale['team_aa024']."</a> :: <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;delete=".$data['team_id']."&amp;user=".$data['user_id']."' onclick=\"return confirm('".$locale['team_aa025']."');\"  title='".$locale['team_aa025'].$data['user_name']."'>".$locale['team_aa027']."</a></td>\n";
        echo "</tr>\n";
        $i++; 
		}
	} else {
				echo "<tr>\n<td colspan='2'>\n";
				echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n";
				echo "<td class='tbl'>".$locale['team_aa028']."</td>\n";
				echo "</tr>\n</table>\n</td>\n</tr>\n";
			}
	  }
	  	echo "</table>";
		  }
closetable();
} else {
	opentable($locale['team_aa029']);
	echo "<div style='text-align:center'>".$locale['team_aa030'];
	echo "<a href='".INFUSIONS."team_panel/admin/team_groups".$aidlink."'>".$locale['team_aa031']."</a>".$locale['team_aa031b']."</div>\n";
	closetable();
}

require_once THEMES."templates/footer.php";	
?>