<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: team_groups.php
| Author: DrunkeN
+--------------------------------------------------------+
| Team Panel Admin > Groups
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."team_panel/includes/team-panel.func.php";
include TEAM_PANEL."infusion_db.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(TEAM_PANEL."locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include TEAM_PANEL."locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include TEAM_PANEL."locale/English.php";
}

if (!checkrights("DTP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");

add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/jquery-ui.js'></script>
             <link rel='stylesheet' href='".TEAM_INC."css/team_styles.css' type='text/css' media='screen' />
             <script type='text/javascript' src='".TEAM_ADMIN."js/team_panel.js'></script>
");
add_to_head("<script type='text/javascript'>
$(document).ready(function() {
	$('.team-groups').sortable({
		handle : '.handle',
		placeholder: 'state-highlight',
		connectWith: '.connected',
		scroll: true,
		axis: 'y',
		update: function () {
			var ul = $(this),
				order = ul.sortable('serialize'),
				i = 0;
			$('#tgroups').load('team_groups_updater.php".$aidlink."&'+order);
			ul.find('.num').each(function(i) {
				$(this).text(i+1);
			});
			ul.find('li').removeClass('tbl2').removeClass('tbl1');
			ul.find('li:odd').addClass('tbl2');
			ul.find('li:even').addClass('tbl1');
			window.setTimeout('closeDiv();',2500);
		}
	});
});
</script>");

include TEAM_ADMIN."admin_navigation.php";

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['team_ag000'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['team_ag001'];
	} elseif ($_GET['status'] == "deln") {
		$message = $locale['team_ag002'];
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['team_ag003'];
	}
	$get_class = ($_GET['status'] == "sn" ? "team-success-message" : 
		         ($_GET['status'] == "su" ? "team-success-message" : "team-error-message"));
	if ($message) {	echo "<div id='close-message'><div class='".$get_class."'>".$message."</div></div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['group_id']) && isnum($_GET['group_id']))) {
	$result = dbcount("(team_user)", DB_TEAM_PANEL, "team_group='".$_GET['group_id']."'");
	if (!empty($result)) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".DB_TEAM_GROUPS." WHERE team_group_id='".$_GET['group_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_group'])) {
		$team_group_name = stripinput($_POST['team_group_name']);
		$team_group_description = stripinput($_POST['team_group_description']);
		$team_group_max_members = stripinput($_POST['team_group_max_members']);
		$team_group_applications = (isset($_POST['team_group_applications']) && isnum($_POST['team_group_applications'])) ? $_POST['team_group_applications'] : "";
		$team_group_order = isnum($_POST['team_group_order']) ? $_POST['team_group_order'] : "";
		if ($team_group_name) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['group_id']) && isnum($_GET['group_id']))) {
			    $member_count = dbcount("(team_user)", DB_TEAM_PANEL, "team_group='".$_GET['group_id']."'");
				if($member_count > $team_group_max_members){
				$error = 3;
				} else {
			$old_team_group_order = dbresult(dbquery("SELECT team_group_order FROM ".DB_TEAM_GROUPS." WHERE team_group_id='".$_GET['group_id']."'"), 0);
			if ($team_group_order > $team_group_order) {
				$result = dbquery("UPDATE ".DB_TEAM_GROUPS." SET team_group_order=team_group_order-1 WHERE team_group_order>'$old_team_group_order' AND team_group_order<='$team_group_order'");
			} elseif ($team_group_order < $old_team_group_order) {
				$result = dbquery("UPDATE ".DB_TEAM_GROUPS." SET team_group_order=team_group_order+1 WHERE team_group_order<'$old_team_group_order AND team_group_order>='$team_group_order'");
			}
				$result = dbquery("UPDATE ".DB_TEAM_GROUPS." SET team_group_name='$team_group_name', team_group_description='$team_group_description', team_group_max_members='".$team_group_max_members."', team_group_applications='".$team_group_applications."',  team_group_order='$team_group_order' WHERE team_group_id='".$_GET['group_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");	
			}
			} else {
				$checkCat = dbcount("(team_group_id)", DB_TEAM_GROUPS, "team_group_name='".$team_group_name."'");
				if ($checkCat == 0) {
					$result = dbquery("INSERT INTO ".DB_TEAM_GROUPS." (team_group_name, team_group_description, team_group_max_members, team_group_applications, team_group_order) VALUES ('$team_group_name', '$team_group_description', '$team_group_max_members', '$team_group_applications', '$team_group_order')");
					redirect(FUSION_SELF.$aidlink."&status=sn");
				} else {
					$error = 2;
				}
			}
		} else {
			$error = 1;
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['group_id']) && isnum($_GET['group_id']))) {
		$result = dbquery("SELECT team_group_name, team_group_order, team_group_description, team_group_max_members, team_group_applications FROM ".DB_TEAM_GROUPS." WHERE team_group_id='".$_GET['group_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$team_group_name = $data['team_group_name'];
			$team_group_description = $data['team_group_description'];
			$team_group_max_members = $data['team_group_max_members'];	
            $team_group_applications = $data['team_group_applications'];			
			$team_group_order = $data['team_group_order'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;group_id=".$_GET['group_id'];
			$openTable = $locale['team_ag004']."<span style='color:#ff0000;'>".$team_group_name."</span>";
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$team_group_name = "";
		$team_group_description = "";
		$team_group_max_members = "10";
		$team_group_applications = "0";
		$team_group_order = "";
		$formaction = FUSION_SELF.$aidlink;
		$openTable = $locale['team_ag005'];
	}

	if (isset($error) && isnum($error)) {
		if ($error == 1) {
			$errorMessage = $locale['team_ag006'];
		} elseif ($error == 2) {
			$errorMessage = $locale['team_ag007'];
		} elseif ($error == 3) {
			$errorMessage = $locale['team_ag008'];
		}
		if ($errorMessage) { echo "<div id='close-error2'><div class='team-error-message'>".$errorMessage."</div></div>\n"; }
	}

	opentable($openTable);
	require_once INCLUDES."bbcode_include.php";
	echo "<form name='addcat' method='post' action='".$formaction."'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='500' class='tbl-border center'>\n<tr>\n";
	echo "<td class='tbl' style='font-weight: bold; white-space:nowrap'><strong>".$locale['team_ag009']."</strong></td>\n";
    echo "<td class='tbl'><input type='text' name='team_group_max_members' value='".$team_group_max_members."' maxlength='3' class='textbox' style='width:40px;' /></td>\n";
    echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='font-weight: bold; white-space:nowrap'>".$locale['team_ag010']."</td>\n";
	echo "<td class='tbl'><input type='text' name='team_group_name' value='".$team_group_name."' class='textbox' style='width:200px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='font-weight: bold; white-space:nowrap'>".$locale['team_ag011']."</td>\n";
	echo "<td class='tbl'><textarea name='team_group_description' cols='30' rows='5' class='textbox' style='width:400px;'>".$team_group_description."</textarea>";
	echo display_bbcodes("400px;", "team_group_description", "addcat")."\n";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='font-weight: bold; white-space:nowrap'>".$locale['team_ag012']."</td>\n";
	echo "<td class='tbl'><select tyle='width: 90px;' name='team_group_applications' class='textbox'>\n";
    echo "<option value='0'".($team_group_applications == "0" ? "selected='selected'" : "").">".$locale['team_ag013']."</option>\n";
    echo "<option value='1'".($team_group_applications == "1" ? "selected='selected'" : "").">".$locale['team_ag014']."</option>\n";
    echo "</select> Order: <input type='text' name='team_group_order'  value='".$team_group_order."' maxlength='3' class='textbox' style='width:40px;' />";
	echo "</td>\n</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_group' value='".$locale['team_ag015']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['team_ag016']);
	echo "<div id='tgroups'></div>\n";
	echo "<div style='width:80%;' class='panels tbl-border center floatfix'><div class='tbl2'>\n";
	$result = dbquery("SELECT team_group_id, team_group_name, team_group_order, team_group_description, team_group_max_members AS 'max_members', team_group_applications AS 'appl_status' FROM ".DB_TEAM_GROUPS." ORDER BY team_group_order");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<div style='float:left; padding-left:30px;'><strong>".$locale['team_ag017']."</strong></div>\n";
		echo "<div style='float:right; width:130px; text-align:center;'><strong>".$locale['team_ag018']."</strong></div>\n";
		echo "<div style='float:right; width:15%; text-align:center;'><strong>".$locale['team_ag019']."</strong></div>\n";
		echo "<div style='float:right; width:15%; text-align:center;'><strong>".$locale['team_ag020']."</strong></div>\n";
		echo "<div style='float:right; width:15%; text-align:center;'><strong>".$locale['team_ag021']."</strong></div>\n";
		echo "<div style='clear:both;'></div>\n</div>\n";
		echo "<ul id='team-groups' style='list-style: none;' class='team-groups connected'>\n";
		while ($data = dbarray($result)) {
		    $member_count = dbcount("(team_user)", DB_TEAM_PANEL, "team_group='".$data['team_group_id']."'");
			$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<li id='listItem_".$data['team_group_id']."' class='".$row_color."'>\n";
			echo "<div style='float:left; width:30px;'><img src='".IMAGES."arrow.png' alt='move' class='handle' /></div>\n";
			echo "<div style='float:left;'>".$data['team_group_name']."</div>\n";
		    echo "<div style='float:right; width:130px; text-align:center;'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;group_id=".$data['team_group_id']."'>".$locale['team_ag022']."</a> -
			<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;group_id=".$data['team_group_id']."' onclick=\"return confirm('".$locale['team_ag023']."');\">".$locale['team_ag024']."</a></div>";
			echo "<div class='num' style='float:right; width:15%; text-align:center;'>".$data['team_group_order']."</div>\n";
			echo "<div style='float:right; width:15%; text-align:center;'>".($member_count == $data['max_members'] ? " <span style='color: #ff0000;'>".$member_count." / ".$data['max_members']."</span>" : $member_count." / ".$data['max_members'])."</div>\n";
			echo "<div style='float:right; width:15%; text-align:center;'><span style='".($data['appl_status'] == 1 ? "color: #008000;'>".$locale['team_ag014'] : "color: #910000;'>".$locale['team_ag013'])."</span></div>\n";
			echo "<div style='clear:both;'></div>\n";
			echo "</li>\n";
			$i++;
		}
		echo "</ul>\n</div>";
	} else {
		echo "<div style='text-align:center;margin-top:5px'>".$locale['team_ag025']."</div>";
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>