<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: team_settings.php
| Author: DrunkeN
+--------------------------------------------------------+
| Team Panel Admin > Settings
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."team_panel/includes/team-panel.func.php";
include LOCALE.LOCALESET."admin/settings.php";
include TEAM_PANEL."infusion_db.php";

if (!checkrights("DTP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(TEAM_PANEL."locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include TEAM_PANEL."locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include TEAM_PANEL."locale/English.php";
}

add_to_title($locale['global_200']." Team Panel Settings");
add_to_head("<link rel='stylesheet' href='".TEAM_INC."css/team_styles.css' type='text/css' media='screen' />
<script type='text/javascript' src='".TEAM_ADMIN."js/team_panel.js'></script>");

include INFUSIONS."team_panel/admin/admin_navigation.php";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['team_se000'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['team_se001'];
	}
if (isset($message)) {
		echo "<div id='close-error2'><div class='team-success-message'>".$message."</div></div>\n"; 
	}
}

    $tps = dbarray(dbquery("SELECT team_setting_enable, team_setting_text FROM ".DB_TEAM_SETTINGS.""));
    $_['error'] = 0;
	
if (isset($_POST['save'])) {
	$team_setting_enable =(isset($_POST['team_setting_enable']) && isnum($_POST['team_setting_enable'])) ? $_POST['team_setting_enable'] : "0";
    $team_setting_text = stripinput($_POST['team_setting_text']);
    $result = dbquery("UPDATE ".DB_TEAM_SETTINGS." SET team_setting_enable='".$team_setting_enable."', team_setting_text='".$team_setting_text."'");
	if (!$result) { $_['error'] = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$_['error']);
}

	opentable($locale['team_se002']);
	require_once INCLUDES."bbcode_include.php";
	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='80%' class='tbl-border' align='center'>\n<tr>\n";
	echo "<td class='tbl' >".$locale['team_se003']."</td>\n";
	echo "<td class='tbl' ><select name='team_setting_enable' class='textbox'>\n";
	echo "<option value='1'".($tps['team_setting_enable'] == "1" ? " selected='selected'" : "").">".$locale['team_se004']."</option>\n";
	echo "<option value='0'".($tps['team_setting_enable'] == "0" ? " selected='selected'" : "").">".$locale['team_se005']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl'>".$locale['team_se006']."</td>\n";
	echo "<td class='tbl'><textarea name='team_setting_text' cols='30' rows='5' class='textbox' style='width:400px;'>".$tps['team_setting_text']."</textarea><br />\n";
	echo display_bbcodes("400px;", "team_setting_text", "settingsform")."\n";
    echo "</td>\n</tr>\n";
	echo "</table>\n";
	echo "<div width='80%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='save' value='".$locale['team_se007']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";
    closetable();
	
require_once THEMES."templates/footer.php";
?>