<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Team Panel
| Version: 1.00
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."team_panel/includes/team-panel.func.php";

include INFUSIONS."team_panel/infusion_db.php";

if (file_exists(TEAM_PANEL."locale/".$settings['locale'].".php")) {
	include TEAM_PANEL."locale/".$settings['locale'].".php";
} else {
	include TEAM_PANEL."locale/English.php";
}

$inf_title = $locale['team_inf000'];
$inf_version = "1.00";
$inf_developer = "DrunkeN";
$inf_weburl = "http://dark-fusion.se";
$inf_email = "pimp_89_cool@hotmail.com";
$inf_folder = "team_panel";
$inf_description = $locale['team_inf001'];

$inf_newtables = 1;
$inf_insertdbrows = 1;
$inf_altertables = 1;
$inf_deldbrows = 1;

$inf_newtable[1] = DB_TEAM_PANEL." (
  team_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  team_name VARCHAR(30) NOT NULL DEFAULT '',
  team_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  team_title varchar(50) NOT NULL default '',
  team_task TEXT NOT NULL,
  team_group mediumint(8) unsigned NOT NULL default '0',
  team_datestamp int(10) UNSIGNED NOT NULL default '0',
  PRIMARY KEY(team_id),
  KEY team_group (team_group),
  KEY team_name (team_name)
) ENGINE = MyISAM;";

$inf_newtable[2] = DB_TEAM_GROUPS." (
  team_group_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  team_group_name VARCHAR(50) NOT NULL DEFAULT '',
  team_group_description TEXT NOT NULL,
  team_group_max_members varchar(10) DEFAULT '0' NOT NULL,
  team_group_applications TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  team_group_order SMALLINT(2) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (team_group_id),
  KEY (team_group_name)
) ENGINE = MyISAM;";

$inf_newtable[3] = DB_TEAM_APPLICATIONS." (
  team_application_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  team_application_type CHAR(8) NOT NULL,
  team_application_user MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
  team_application_group mediumint(8) unsigned NOT NULL default '0',
  team_application_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
  team_application_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  team_application_criteria TEXT NOT NULL,
  PRIMARY KEY (team_application_id),
  KEY (team_application_group)
) ENGINE = MYISAM;";

$inf_newtable[4] = DB_TEAM_USERS." (
  team_user_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  team_user_intro TEXT NOT NULL,
  team_user_country VARCHAR(4) NOT NULL DEFAULT '',
  team_user_rname TEXT NOT NULL,
  team_user_gender TINYINT(1) NOT NULL DEFAULT '0',
  team_user_phpskill TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  team_user_sqlskill TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  team_user_htmskill TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  team_user_cssskill TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  team_user_javskill TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (team_user_id)
) ENGINE = MyISAM;";

$inf_newtable[5] = DB_TEAM_SETTINGS." (
  team_setting_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  team_setting_text TEXT NOT NULL,
  PRIMARY KEY (team_setting_enable)
) ENGINE = MYISAM;";

$inf_droptable[1] = DB_TEAM_PANEL;
$inf_droptable[2] = DB_TEAM_GROUPS;
$inf_droptable[3] = DB_TEAM_APPLICATIONS;
$inf_droptable[4] = DB_TEAM_USERS;
$inf_droptable[5] = DB_TEAM_SETTINGS;

$inf_insertdbrow[1] = DB_TEAM_PANEL." (team_user, team_name, team_title, team_duty, team_group, team_rname, team_datestamp)";
$inf_insertdbrow[2] = DB_TEAM_GROUPS." (team_group_name, team_group_description, team_group_applications, team_group_max_members, team_group_order) VALUES ('Management Team', 'Management Team is made up of Team Members who have proven themselves to be trustworthy', '0', '5', '1')";
$inf_insertdbrow[3] = DB_TEAM_GROUPS." (team_group_name, team_group_description, team_group_applications, team_group_max_members, team_group_order) VALUES ('Development & Design Team', 'Development & Design Team is made up of Members who have proven themselves to be good coders and designers', '0', '10', '2')";
$inf_insertdbrow[4] = DB_TEAM_SETTINGS." (team_setting_enable, team_setting_text) VALUES ('0', 'Meet ".$settings['sitename']." Team!
".$settings['sitename']." requires the support of various teams, each with their own areas of responsibility. The ".$settings['sitename']." team is made up of keen and enthusiastic PHP-Fusion Users from around the world who volunteer to help the PHP-Fusion Community enhance their PHP-Fusion site.
[i]Here is a listing of all our current team members. Click any name for more information about that person.[/i]')";

//$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";

$inf_adminpanel[1] = array(
    "title" => $locale['team_inf002'], 
    "image" => "",
    "panel" => "admin/team_admin.php", 
    "rights" => "DTP" 
);

$inf_sitelink[1] = array(
	"title" => $locale['team_inf003'],
	"url" => "team.php",
	"visibility" => "101"
);

?>